*Version: STATA16.1
*------------------------------------------------------------------------------*
*Directory shortcuts 
*------------------------------------------------------------------------------*

/*
local path C:\Users\omoni\OneDrive\Previously\Documents\IHS5 Consumption Aggregate and Poverty Analysis\Malawi for review MP\Replication Package //change this path for replication
	
	
*Unit values
	gl folder "`path'\UV"
	gl din "$folder\Input files"
	gl dout "$folder\Output files"
	
* Full sample market price analysis
	gl marketsurvey "`path'\Market Price"
	gl MS_Fin "$marketsurvey\Input files"
	gl MS_Fout "$marketsurvey\1_Full sample\Output files"
	gl MS_Fint "$marketsurvey\1_Full sample\Intermediate files"
		
* Reduced Sample Market price analysis
	gl MS_Rin "$marketsurvey\Input files"
	gl MS_Rout "$marketsurvey\2_Reduced sample\Output files"
	gl MS_Rint "$marketsurvey\2_Reduced sample\Intermediate files"
	
* Comparison of full sample and reduced sample market price analysis
	gl compOut "$marketsurvey\3_Comparison\Output"
	gl compInt "$marketsurvey\3_Comparison\Intermediate"
	
*Tables in Draft
	gl MS_Tout "$marketsurvey\Tables"
*/


 use "${MS_Rint}\num_market_items_urbanregion_FM", clear
 set obs  5
 replace urban_region = 5 if urban_region==.
 egen nat_tot_items = total(tot_num_items), by(market_coverage)
 egen nat_tot_markets = total(num_markets), by(market_coverage)
 summ nat_tot_items
 replace  tot_num_items = r(max) if tot_num_items==.
 summ nat_tot_markets
 replace  num_markets = r(max) if num_markets==.
 replace  market_coverage = 100 if market_coverage==.
 drop nat*
save "${MS_Rint}\num_market_items_urbanregion_FM_summary", replace

 foreach d in 1 2 3 4 5{
     *local d 1
 use "${MS_Rint}\num_market_items_urbanregion_RM`d'", clear
 set obs  5
 replace urban_region = 5 if urban_region==.
 egen nat_tot_items = total(tot_num_items), by(market_coverage)
 egen nat_tot_markets = total(num_markets), by(market_coverage)
 summ nat_tot_items
 replace  tot_num_items = r(max) if tot_num_items==.
 summ nat_tot_markets
 replace  num_markets = r(max) if num_markets==.
 replace  market_coverage = 10-`d' if market_coverage==.
 drop nat*
  save "${MS_Rint}\num_market_items_urbanregion_RM`d'_summary", replace

 }
  /*
 use "${MS_Rint}\num_market_items_urbanregion_TOP2", clear
 set obs  5
 replace urban_region = 5 if urban_region==.
 egen nat_tot_items = total(tot_num_items), by(market_coverage)
 egen nat_tot_markets = total(num_markets), by(market_coverage)
 summ nat_tot_items
 replace  tot_num_items = r(max) if tot_num_items==.
 summ nat_tot_markets
 replace  num_markets = r(max) if num_markets==.
 replace  market_coverage = 20 if inlist(market_coverage,2,.)
 drop nat*
 save "${MS_Rint}\num_market_items_urbanregion_RM_TOP2_summary", replace
*/
  
  use "${MS_Rint}\num_market_items_urbanregion_FM_summary", clear
   foreach d in 1 2 3 4 5{
	append using "${MS_Rint}\num_market_items_urbanregion_RM`d'_summary"
   }
  
  *append using "${MS_Rint}\num_market_items_urbanregion_RM_TOP2_summary"
  
  replace market_coverage = market_coverage*10 if  inrange(market_coverage,5,9)
  
  label define urban_region_l 5 "National", modify

  gsort urban_region -market_coverage
  
  
 *twoway connected num_market market_coverage, by(urban_region) xlabel(#5)
 
 reshape wide num_market tot_num_items, i(urban_region) j(market_coverage)
	order num*, after(urban_region)
	
	preserve
	drop tot* /*num_markets20*/
	export excel using "${MS_Tout}\Appendix_TableA19", firstrow(var) replace
	restore
